#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

int main (int argc, char ** argv) {

  int i, * digitset;
  char * charset;

  if (argc > 1) {
    int digitidx, charidx;

    charidx = digitidx = 0;

    if ((digitset = (int *) malloc (sizeof (int) * argc)) == NULL)
      return EXIT_FAILURE;

   if ((charset = (char *) malloc (sizeof (char) * argc)) == NULL)
      return EXIT_FAILURE;
  
    for (i=0; i<argc; i++) {
      if (strlen(argv[i]) == 1) {
        if (isdigit (argv[i][0])) {
          digitset[digitidx] = atoi (argv[i]);
          digitidx++;
        }
        else {
          charset[charidx] = argv[i][0];
          charidx++;
        }
      }
    }

    fprintf (stdout, "DigitSet: ");
    for (i=0; i<digitidx; i++) 
      fprintf (stdout, "%2d ", digitset[i]); 
    fprintf (stdout, "\n");

    fprintf (stdout, "CharSet: ");
    for (i=0; i<charidx; i++) 
      fprintf (stdout, "%c ", charset[i]); 
    fprintf (stdout, "\n");
  
    free (digitset);
    free (charset);
  }

  return EXIT_SUCCESS;
}
